@echo off
REM compileq1map_bj.cmd -- compile a quake 1 map using Bengt Jardrup's tools 
REM requires Bengt Jardrup's tools -- http://user.tninet.se/~xir870k/
REM usage: "compileq1map_bj.cmd <mapname> [-t | -tl]"
REM written by spirit

REM settings
@set BSPCOMPPATH="D:\games\nquake\id1\tools\bj\qbsp.exe"
@set VISCOMPPATH="D:\games\nquake\id1\tools\bj\vis.exe"
@set LIGHTCOMPPATH="D:\games\nquake\id1\tools\bj\light.exe"
@set MAPPATH="D:\games\nquake\id1\maps\%1.map"

REM check for args
if {%1} == {} (call :HELP) & (goto :EOF)

%BSPCOMPPATH% %MAPPATH%

if {%2} == {-t} (call :TEST) & (goto :EOF)
if {%2} == {-tl} (call :TESTLIGHT) & (goto :EOF)

%VISCOMPPATH% %MAPPATH%
%LIGHTCOMPPATH% -extra %MAPPATH%

echo "done (full quality)"
goto :EOF

:TEST
%VISCOMPPATH% -fast %MAPPATH%
echo "done (fast)."
goto :EOF

:TESTLIGHT
%VISCOMPPATH% -fast %MAPPATH%
%LIGHTCOMPPATH% %MAPPATH%
echo "done (fast+light)."
goto :EOF


:HELP
echo USAGE
echo =====
echo "compileq1map <mapname> [-t]"
echo "<mapname>: name of your mapfile, no extension"
echo "-t: layout test compile (bsp, fast vis, no light)"
echo "-tl: light test compile (bsp, fast vis, fast light)"
echo ---------------------------------------------------------
goto :EOF

:EOF