@echo off
REM compileq1map_tyr.cmd -- compile a quake 1 map using tyran's tools
REM requires tyrans tools -- http://disenchant.net/utils.html
REM usage: "compileq1map_tyr.cmd <mapname>"
REM written by spirit

REM settings
@set BSPCOMPPATH="D:\games\nquake\id1\tools\tyr\qbsp.exe"
@set VISCOMPPATH="D:\games\nquake\id1\tools\tyr\vis.exe"
@set LIGHTCOMPPATH="D:\games\nquake\id1\tools\tyr\light.exe"
@set MAPPATH="D:\games\nquake\id1\maps\%1.map"

REM check for args
if {%1} == {} (call :HELP) & (goto :EOF)

%BSPCOMPPATH% %MAPPATH%

if {%2} == {-t} (call :TEST) & (goto :EOF)
if {%2} == {-tl} (call :TESTLIGHT) & (goto :EOF)

%VISCOMPPATH% %MAPPATH%
%LIGHTCOMPPATH% -lit -extra %MAPPATH%

echo "done (full quality)"
goto :EOF

:TEST
%VISCOMPPATH% -fast %MAPPATH%
echo "done (fast)."
goto :EOF

:TESTLIGHT
%VISCOMPPATH% -fast %MAPPATH%
%LIGHTCOMPPATH% -lit %MAPPATH%
echo "done (fast+light)."
goto :EOF


:HELP
echo USAGE
echo =====
echo "compileq1map <mapname> [-t]"
echo "<mapname>: name of your mapfile, no extension"
echo "-t: layout test compile (bsp, fast vis, no light)"
echo "-tl: light test compile (bsp, fast vis, fast light)"
echo ---------------------------------------------------------
goto :EOF

:EOF